<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\HonorarListen\PrintHonorarListen;


class PrintHonorarListenBySettingsController extends \Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\PrintDruckListen\PrintDruckListenBySettingsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    
    return new PrintHonorarListenBySettingsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return PrintHonorarListenBySettingsUseCase::getToolId();
  }

  
  

  
  protected function _getPostSettings()
  {
    $settingsObj = parent::_getPostSettings();

    
    $settingsObj->kurstage->zahljahr = \PostOperations::getVarValue('zahljahr', 'xxx');

    return $settingsObj;
  }

  
}